'''
Created on 23-Feb-2021

@author: bthakur
'''
from __future__ import division
from sympy import *
x, y, z, t = symbols('x y z t')
k, m, n = symbols('k m n', integer=True)
f, g, h = symbols('f g h', cls=Function)

from xv.util import listAttr, listProp 

from sympy import sympify
i = sympify(-420)
print(type(i))
print(i)
print(i.factors())

print()
print(listProp(i, search = 'fact'))

print(listProp(i))